/* Recherche de la presence d'une valeur entiere */
/* dans un tableau de int                        */
/* sans organisation particuliere                */
/* Parcours sequentiel                           */

public class RecherchePresence {

///////////////////////////////////////////////////
  
/* Fonction de recherche de la presence          */
/* d'une valeur entiere dans un tableau de int   */
/* sans organisation particuliere                */
/* Methode sequentielle                          */
/* Retour de true si présent, false sinon        */
/* v : Entier recherché                          */
/* t : Tableau d'entiers de recherche            */

  static boolean estPresent(int v,int [] t) {
    boolean trouve = false;
    int i = 0;
    while ( ( trouve == false ) && ( i < t.length ) ) {
      if ( t[i] == v ) {
        trouve = true; }
        else {
        i++; } }
    return trouve;
  }
  
///////////////////////////////////////////////////
  
/* Fonction d'affichage des valeurs contenues    */
/* dans un tableau de int                        */
  
  static void affichageTableau(int [] t) {
    for ( int i = 0 ; i < t.length ; i++ ) {
      Ecran.formater("%4d",t[i]); }
  }

/* Fonction de creation d'un tableau de 10 int   */
/* initialise avec des valeurs tirees au sort    */
/* entre 0 et 1000 inclus                        */
  
  static int [] initRand() {
    int [] t = new int[10];
    for ( int i = 0 ; i < t.length ; i++ ) {
      t[i] =(int) (Math.random()*1001.0); }
    return t;
  }
  
/* Programme principal                           */

  public static void main(String [] args) {
    boolean present;
    int [] t;
    int v;
    t = initRand();
    affichageTableau(t);
    Ecran.sautDeLigne();
    Ecran.afficher("SVP, valeur à rechercher : ");
    v = Clavier.saisirInt();
    present = estPresent(v,t);
    Ecran.afficherln("Present : ",present);
  }
}